<?php

namespace TC\PaygateHeleket\XF;

class Language extends XFCP_Language
{
	public function currencyFormat($value, $symbol, $desiredPrecision = 2, $format = null): string
	{
		if ($value === null)
		{
			$value = 0;
		}

		$format = $format ?: $this->options['currency_format'];
		return strtr($format, [
			'{symbol}' => $symbol,
			'{value}'  => $this->numberFormat($value, $desiredPrecision)
		]);
	}
}
